********************************************************
*
* SAVEDBG.PRG
*
* 03/17/93  08:06:28
* 05/10/94  13:42:38
*
* Mike Lascuola CIS 72271,723
*
* This program saves the data in the DEBUG Window
* to the database SAVEDBG.DBF for restoration by
* the RESTDBG.PRG program.
*
********************************************************

SET TALK OFF
SET SAFE OFF

lnKeyAhead = SET("TYPEAHEAD")
SET TYPEAHEAD TO 20
SET EXACT ON
_CLIPTEXT = ""
HIDE WINDOW COMMAND
DEACTIVATE WINDOW COMMAND
RELE WIND COMMAND
IF WEXIST("TRACE")
   HIDE WINDOW TRACE
ENDIF
DEACTIVATE WINDOW TRACE
RELE WIND TRACE

SET STATUS OFF

CLEAR

? " This program saves the data in the DEBUG Window"
? " to the database SAVEDBG.DBF for restoration by"
? " the RESTDBG.PRG program."


USE savedbg
GO BOTTOM

lcProject = PADR(PROJECT, 30) && Defaults to last project worked

@ 7,0 SAY " Project Name " GET lcProject PICTURE "@!"
READ
lcProject = ALLTRIM(lcProject)
CLEAR

DELETE FOR PROJECT=lcProject

*
* Add PACK here if Desired
*

GO BOTT



CLEAR
?
?
? "Please wait..."


KEYBOARD "{Alt+W}"
KEYBOARD "D"

KEYBOARD "{CTRL+M}"
SUSPEND

CLEAR

?
?
KEYBOARD "{CTRL+M}"

DO GoToTop

KEYBOARD "{CTRL+M}"
SUSPEND

FOR lnCount = 1 TO 15
   KEYBOARD "{SHIFT+END}{CTRL+C}"
   SUSP
   KEYBOARD "{CTRL+M}"
   
   IF _CLIPTEXT > "  A" AND (_CLIPTEXT != ALLTRIM(DATA))
      APPEND BLANK
      REPLACE PROJECT WITH lcProject, DATA WITH _CLIPTEXT, ;
         DATE WITH DATE()
   ENDIF
   KEYBOARD "{DNARROW}"
   
ENDFOR

USE

SET TYPEAHEAD TO (lnKeyAhead)

HIDE WINDOW DEBUG
ACTIVATE WINDOW COMMAND
SET STAT ON

?
?
?
? " Debug variables saved in SAVEDBG.DBF..."
?
RETURN


*!*****************************************************************************
*!
*!      Procedure: GOTOTOP
*!
*!      Called by: SAVEDBG.PRG                       
*!
*!*****************************************************************************
PROCEDURE GoToTop

FOR lnCount = 1 TO 15
   KEYBOARD "{UPARROW}"
   SUSPEND
   KEYBOARD "{CTRL+M}"
ENDFOR

RETURN

*: EOF: SAVEDBG.PRG
